Tipps & Tricks: Enigma2(ATV&VTI) PP Plugin Anleitung&Download

murxer

Active Member
Cascadierte Verbindung, macht den Ping auch höher, weil die Verbindung über 2 PP-Server läuft.
IPTables blockt das Internet wenn keine VPN Verbindung besteht, es würde dann nur noch das Plugin ins Internet gehen können.

Weitere Optimierungen fallen wir nicht ein, vielleicht meldet sich noch jemand
 

silverxx

New Member
Also schalte ich die Cascadierte Verbindung noch ein.

IPTables benötige ich nicht, da ich die Portfreigabe über die Fritzbox eingestellt habe.

Auf einer VU+ Uno 4k SE funktioniert IPtables immer noch nicht?
 

bigplayer

Active Member
Also schalte ich die Cascadierte Verbindung noch ein.
Nein, blos nicht!
Wie schon von murxer geschrieben wurde wird dadurch Dein Ping höher was Du ja gerade nicht willst ;)
Cascading bedeutet dass mehrere VPN Server hintereinander geschaltet werden was ja den Weg und somit auch den Ping verlängert.
Mal davon abgesehen das Cascading was die Sicherheit angeht für CS total übertrieben wäre.
 

Hilfiger

New Member
Hi Leute,
tolles Plugin !

Habe es aktiv, allerdings kann ich seit der Aktivierung nicht mehr über die NFS Freigabe auf meine Synology Diskstation (NAS) zugreifen.

kann ich da etwas anderes einstellen, oder muss ich die „interne ip“ ändern ?
 

Hilfiger

New Member
Bin jetzt soweit dass ich gemerkt habe, dass es an den iptables liegt, wenn ich diese ausschalte klappt die NFS Freigabe.
Wie ich die iptables.sh finde weis ich, kenne mich aber nicht so unheimlich gut damit aus.
Wo muss ich welche Freigabe reinbringen, damit die NFS Freigabe funktioniert ?

danke schon mal.
 
Last edited:

murxer

Active Member
@Hilfiger
eigentlich sollte es mit IPTables auch funktionieren, halt nur im Heimnetzwerk.
Welche Box nutzt du?
Und welches Image?

Wenn du die IPTables Regeln anpassen möchtest, dann mach das im Plugin Ordner.
Code:
"/usr/lib/enigma2/python/Plugins/Extensions/PerfectPrivacy/resolv/pp_iptables.sh"
Wenn du diese dann angepasst hast, öffnest du die Einstellungen im PP Plugin, dann mit OK bestätigen.
Dann sollte deine angepasste sh genutzt werden.

Mehr kann ich dir da auch nicht Helfen, hatte so ein ähnliches Problem.
Meine Vu dient als TV-Server, aber wenn ich mit einer anderen Box darauf zugreifen wollte, dann ging das auch nur ohne IPTables auf dem Client.

Vielleicht hat ja noch einer eine Idee.

LG Murxer
 

murxer

Active Member
@all
Version 1.3.5
- deb One Fix
- ipk Version wurde auch etwas angepasst

Jetzt noch wegen python-beautifulsoup:
Diese Paket wird nicht automatisch mit installiert, da es in manchen Images einfach anders genannt wird.
Hierzu müsst ihr ins Telnet folgendes eingeben.
OE 2.0
Code:
opkg update && opkg install python-beautifulsoup
wenn das nicht funktioniert dann:
Code:
opkg update && opkg install python-beautifulsoup4
OE 2.5 -> 2.6
Code:
apt-get update && apt-get install python-beautifulsoup
wenn das hier nicht funktioniert dann:
Code:
apt-get update && apt-get install python-beautifulsoup4
Eine Aktuelle Version könnt ihr im ersten Post laden.

Hier https://www.boxpirates.to/index.php?thread/203334-plugin-perfect-privacy-manager/ würde es auch noch eine Anleitung geben.

LG Murxer
 

honst

New Member
Hallo murxer.

Die Version läuft wie gewohnt ohne Probleme. Allerdings ist seit der letzten Version jetzt auch noch der Fehler bei mir - Login failed! Please check login data.

Verbunden bin ich aber mit VPN und läuft auch.
 

murxer

Active Member
@honst
Login failed! Please check login
Das werde ich mir noch ansehen, habe im Multiboot auch das 6.3 installiert.
Weil auf dem 6.2 funktioniert diese Anzeige.
Du kannst das Plugin aber in vollem umfang nutzen, die Zugangsdaten werden seit neustem nicht beim Download der Configs abgefragt.

LG Murxer
 

murxer

Active Member
@honst
habe jetzt alles überprüft, funktioniert alles bestens auf VTI, OpenATV 6.2 und OpenATV 6.3.
Bei allen Images kommt keine Meldung "Login failed! Please check Login", hier wird alles korrekt angezeigt.

Außer bei VTI hier hat das Paket python-mechanize einen Fehler, Download der Configs funktioniert.
Aber bei VTI kommt diese Meldung "Login failed! Please check Login" um das zu beheben muss man das Paket
python-mechanize tauschen, dann erst klappt es.

Hat den Grund, dass python-mechanize hier im Login einen Fehler hat.


LG Murxer
 

honst

New Member
Hallo murxer.

Da ich bei mir VTI drauf habe erklärt das die Meldung mit Login failed. Wie bekomme ich denn die python-mechanize getauscht?
 

murxer

Active Member
Ich habe diese hier genutzt https://pypi.org/project/mechanize/#files
Lade dir die tar.gz, diese entpackst du dann.

Jetzt brauchst du nur den Ordner mechanize, der befindet sich in einem Unterordner.

Nun verbindest du dich mit deiner Box mit FTP.
Navigiere nach /usr/lib/python2.7/site-packages
hier findest du den mechanize Ordern, sichere dir den alten Ordner und lösche ihn einfach.
Nun überträgst du den neuen mechanize Ordner, jetzt noch ein Gui- Neustart.

Ist jetzt nicht die schönste variante aber was solls, wenn es Probleme gibt kann ich aber auch mal eine ipk erstellen.

LG Murxer
 

honst

New Member
Den Ordner mechanize auszutauschen hatte leider nichts gebracht. Im Menu wird mir immer noch Login failed angezeigt.
 

murxer

Active Member
Ist jetzt aber eine ältere mechanize Version, habe mich jetzt noch mal schlau gemacht.

VTI nutzt die aktuelle die ich dir zuerst schon gesendet habe.
Hier funktioniert es aber nicht weil.
python-html5 und python-webencodings fehlt.

Du kannst es aber so lassen wie es ist, hat keine Auswirkungen auf andere Plugins, vielleicht meldet das mal jemand bei VTI das diese zwei Pakete mechanize braucht.

LG Murxer
 
Top